org.restlet.engine.log

## Class AccessLogFormatter

- java.lang.Object
- - java.util.logging.Formatter
  - - org.restlet.engine.log.AccessLogFormatter

Direct Known Subclasses:
  DefaultAccessLogFormatter

    public class AccessLogFormatter
    extends java.util.logging.Formatter

Log record formatter which simply outputs the message on a new line. Useful for Web-style logs.

Author:
  Jerome Louvel

### Constructor Summary

Constructors
Constructor and Description
`AccessLogFormatter()`

### Method Summary

Methods
`java.lang.String` `format(java.util.logging.LogRecord logRecord)`

### Methods inherited from class java.util.logging.Formatter

`formatMessage, getHead, getTail`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### AccessLogFormatter

    public AccessLogFormatter()

### Method Detail

#### format

    public java.lang.String format(java.util.logging.LogRecord logRecord)

Specified by:
  `format` in class `java.util.logging.Formatter`